extends layout

block content
  h1.title.is-2.has-text-white= title
  h2.title.is-4.has-text-white= subtitle

  .box
    nav.pagination(role="navigation", aria-label="pagination")
      - currentPage = parseInt(page, 10)
      - previousPage = currentPage - 1
      - disabledPreviousPage = currentPage === 1
      - nextPage = currentPage + 1
      - disabledNextPage = pages <= currentPage
      a.pagination-previous(
        href="/?page=" + previousPage,
        disabled=disabledPreviousPage
      ) Previous
      a.pagination-next(
        href="/?page=" + nextPage,
        disabled=disabledNextPage
      ) Next page
    table.table
      thead
        th id
        th name
        th email
        th countryId
        th status
      tfoot
        th id
        th name
        th email
        th countryId
        th status
      tbody
        each user in users
          tr
            td= id
            td= name
            td= email
            td= countryId
            td= status
    nav.pagination(role="navigation", aria-label="pagination")
      - currentPage = parseInt(page, 10)
      - previousPage = currentPage - 1
      - disabledPreviousPage = currentPage === 1
      - nextPage = currentPage + 1
      - disabledNextPage = pages <= currentPage
      a.pagination-previous(
        href="/?page=" + previousPage,
        disabled=disabledPreviousPage
      ) Previous
      a.pagination-next(
        href="/?page=" + nextPage,
        disabled=disabledNextPage
      ) Next page
